Bug 5859 - Неправильные значки для блокирования экрана
: Неправильные значки для блокирования экрана
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 KDE R6
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-30 23:25 MSD by Vladimir Potapov
Modified: 2015-07-07 01:30 MSD (History)
2 users (show)

See Also:
RPM Package: rosa-icons
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
sv (1.32 MB, video/webm)
2015-06-30 23:25 MSD, Vladimir Potapov
Details
icons (29.42 KB, application/zip)
2015-06-30 23:35 MSD, Vladimir Potapov
Details
ss (139.07 KB, image/png)
2015-06-30 23:46 MSD, Vladimir Potapov
Details
icons2 (8.89 KB, application/x-bzip)
2015-07-02 17:18 MSD, Ural Mullabaev
Details
ss (318.18 KB, image/png)
2015-07-02 19:52 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-06-30 23:25:36 MSD
Created attachment 4154 [details]
sv

В текущей теме Росы есть две проблемы с иконками блокирования экрана
1) Разным размерам соответствуют разные иконки. Из-за этого при изменении размера виджета меняется иконка!
2) Иконка не соответствует SW, выбивается из темы.
см видео
Comment 1 Vladimir Potapov 2015-06-30 23:35:40 MSD
Created attachment 4155 [details]
icons

Эта проблема решается с помощью добавления в тему Росы (в /usr/share/icons/rosa/размер/actions) иконок из прилагающегося пакета (после копирования переименовать без указания размера)
Существующие разнокалиберные иконки при этом будут переписаны, но это тоже нестрашно т.к. они дублируются в /rosa/размер/apps
Comment 2 Vladimir Potapov 2015-06-30 23:46:28 MSD
Created attachment 4156 [details]
ss

После установки иконка выглядит в стиле росы sw при любом увеличении.
Comment 3 Ural Mullabaev 2015-07-02 17:18:27 MSD
Created attachment 4168 [details]
icons2

Сделал новый набор иконок на базе иконок перезагрузки. Цвет остался прежним - оранжевым. В последствии, если потребуется, чтобы не путать с перезагрузкой, можно подкорректировать в сторону желтых оттенков.
Comment 4 Ural Mullabaev 2015-07-02 18:32:31 MSD
rosa-icons-1.1.6-1

Advisory: "Redrawn lock icon"

https://abf.io/build_lists/2516365
https://abf.io/build_lists/2516366
Comment 5 Vladimir Potapov 2015-07-02 19:52:30 MSD
Created attachment 4169 [details]
ss

С самими значками все прекрасно, но вот тема, куда они попали, явно глючная. Папка Загрузки покорежена, в панели управления часть значков не из Росы, на экране закрытия красный крестик вместо серого.
Comment 6 Ural Mullabaev 2015-07-03 17:10:10 MSD
rosa-icons-1.1.6-3

Advisory: "Redraw lock icon"

https://abf.io/build_lists/2516991
https://abf.io/build_lists/2516992
Comment 7 Vladimir Potapov 2015-07-03 17:15:02 MSD
The update is sent to expanded testing
**************************************
Comment 8 Vladimir Potapov 2015-07-06 21:41:00 MSD
rosa-icons-1.1.6-3
https://abf.io/build_lists/2516991
https://abf.io/build_lists/2516992
******************************* Advisory ******************************
Redraw lock icon
***********************************************************************
QA Verified